Actions

Talk

Difference between revisions of "Installing a template"

From Joomla! Documentation

m (Answer?)
 
Line 14: Line 14:
  
 
::OK so just to clarify how would you be displaying the page then? The 2.5 and 3.x on the same page separated by version number? Also not clear what you mean when you say "In the first page there was no 2.5 document. Expected the different document versions listed" As I see it when I search for the term "Install template" then I see the page listing version numbers of Joomla (including 2.5)
 
::OK so just to clarify how would you be displaying the page then? The 2.5 and 3.x on the same page separated by version number? Also not clear what you mean when you say "In the first page there was no 2.5 document. Expected the different document versions listed" As I see it when I search for the term "Install template" then I see the page listing version numbers of Joomla (including 2.5)
 +
::: As mentioned I would present the best information with links to older and/or newer versions. Considering the quality that would be the 3.x information right now. On the all tab of the search results it doesn't mention the J2.5 version, noticed that is does mention it on the documentation tab. It does mention APIJ16 and J1.5. Verified my findings and they were correct. Verified again, and different results, j2.5 suddenly shows up! Again, don't want the disambiguation page, not in the search results, certainly not the first one, not being referred to it. Refer to the j3.1 version instead. That would make it the right choice for most with options to get the one you need if it is not the right one. Presenting the disambiguation page sends everybody to the wrong page forcing them to read that and decide for the version they want. [[User:Sovainfo|Sovainfo]] ([[User talk:Sovainfo|talk]]) 04:59, 19 September 2013 (CDT)

Latest revision as of 04:59, 19 September 2013

Deletion

@User:Sovainfo, I know what you're thinking and was done this way at one time. We are trying to make it overly, dead simple to at least find what you are looking for in docs.

First, problem we face and will continue to face, supporting 2 versions at the same time. While it does make sense to have redirect right to the current version, what about the 2.5 users who will have support until Dec 31st of 2014? This was the issue in Second hurdle, updates to pages.

We tried to use the 1.5 pages as 2.5 pages, but they were never updated. When they were, everyone was looking for 1.5 and finding 2.5 with 1/2 the images updated, 1/2 not. There are still a lot of pages for 2.5 which show 1.5 images and talk in terms of 1.5...ouch.

Third, this page is also transcluded, well it is 'tricky' transcluded. Only the current version is transclude, not the disambiguation page, through the use of a RVer template(Recommended Version).

I also know what you are referring to in the search. You type in 'Installing a template' and because the page exists, you are taken right to it. You have to think like you are a total newbie. It's hard to do, I know and struggled with it.

Now let's get even more involved. At some point next year, we will have 3 versions for a brief time on the wiki, 2.5, 3.5, and 4.0. I have already started to deal with this(in my head). 2.5 will become a outgoing version(until it is archived, 5 months), 3.5 will be the new LTS and 4.0 the STS version. Tom Hutchison (talk) 18:01, 17 September 2013 (CDT)

Got to the page using "install template" in the search. The first hit was the non-information about two versions of the document. Don't want that document. In the first page there was no 2.5 document. Expected the different document versions listed. Considering the quality of the 1.5 and 2.5 documentation I would present the 3.x documentation with a link to 2.5 in it when there is such a document. Hopefully by the time 4.0 comes the 3.x has the quality that allows us to concentrate on the new stuff in 4.0. Sovainfo (talk) 09:02, 18 September 2013 (CDT)
OK so just to clarify how would you be displaying the page then? The 2.5 and 3.x on the same page separated by version number? Also not clear what you mean when you say "In the first page there was no 2.5 document. Expected the different document versions listed" As I see it when I search for the term "Install template" then I see the page listing version numbers of Joomla (including 2.5)
As mentioned I would present the best information with links to older and/or newer versions. Considering the quality that would be the 3.x information right now. On the all tab of the search results it doesn't mention the J2.5 version, noticed that is does mention it on the documentation tab. It does mention APIJ16 and J1.5. Verified my findings and they were correct. Verified again, and different results, j2.5 suddenly shows up! Again, don't want the disambiguation page, not in the search results, certainly not the first one, not being referred to it. Refer to the j3.1 version instead. That would make it the right choice for most with options to get the one you need if it is not the right one. Presenting the disambiguation page sends everybody to the wrong page forcing them to read that and decide for the version they want. Sovainfo (talk) 04:59, 19 September 2013 (CDT)